Question about trackpad

Discussion in 'iMac' started by iJordz, Jul 27, 2010.

  1. iJordz macrumors member

    Joined:
    Jul 20, 2010
    #1
    question, right.


    does it work with the last imac? what came out in 2009.
     
  2. DannyBres macrumors 65816

    DannyBres

    Joined:
    Oct 30, 2007
    Location:
    UK
    #2
    Yup any bluetooth mac running snow leopard

    This thread should be in accessories!

    EDIT


    Minimum Requirements

    * A Mac computer with Bluetooth wireless technology
    * Mac OS X v10.6.4 or later
    * Latest Magic Trackpad software update
     

Share This Page